<?php

// if statement that checks for manufacturer
if (empty($_REQUEST['device_id'])) {
    header("Location: http://tjharvey.webdev.iyaserver.com/acad276/exam/search.php");
    echo "Redirecting to search page...";
    exit();
}

//connection string
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if ($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>

<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <?php
    // sql statement
    $sql = "SELECT name, price, manufacturer, system, type, device_id
            FROM devices, manufacturers, systems, types
            WHERE device_id=" . $_REQUEST['device_id'] . "
            AND devices.manufacturer_id = manufacturers.manufacturer_id
            AND devices.system_id = systems.system_id
            AND devices.type_id = types.type_id";

    // obtaining results from sql
    $results = $mysql->query($sql);


    // what to do with results
    if(!$results) {
    echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
    echo "SQL Error: " . $mysql->error . "<hr>";
    exit();
    }

    echo "<div class = 'details'><table>";
    while($currentrow = $results->fetch_assoc()) {
        //echo "<td class='tableimg'>
                //<img src='https:image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg' class='tableimg'>";
        //echo "</td>";
        echo "<tr>";
            echo "Name: <strong><em>" . $currentrow["name"] . "</em></strong><br><br>";
        echo "</tr>";
        echo "<tr>";
            echo "Price: <strong>" . $currentrow["price"] . "</strong><br><br>";
        echo "</tr>";
        echo "<tr>";
            echo "Manufacturer:" . $currentrow["manufacturer"] . "<br><br>";
        echo "</tr>";
        echo "<tr>";
            echo "System: " . $currentrow["system"] . "<br><br>";
        echo "</tr>";
        echo "<tr>";
            echo "Type: " . $currentrow["type"] . "<br><br>";
        echo "</tr>";
    }
    echo "</table></div>";

    ?>

</div>
</body>
</html>